(*
  Tool: namealign
  Author: Oliver Bandel

  ======================================================
  Urheber/Copyright => Oliver Bandel
  No warranty provided: use at your own risk .
  You can redistribute this software under GPL 2.0
  (see file "COPYING").
  ======================================================


*)


type options_t = {
                   mutable blank      : bool;
                   mutable letter     :  bool;
                   mutable integer    : bool;
                   mutable dot        : bool;
                   mutable slash      : bool;
                   mutable other      : bool;
                   mutable minint     : bool; (* minint: minimum length integers: if set, leading 0's will be discarded *)
                   mutable singlerep  : bool; (* singlerep: minimum repitions of non-ALNUM *)
                   mutable no_action  : bool; (* if true, only showwhat you WOULD make if flag is false *)
                   mutable allow_dirs : bool; (* if true, also allow dirs to be accepted *)
                   mutable show_all   : bool; (* if true, show all files, even if they will be not changed *)
                   mutable version    : bool; (* if true, prints version-number and exits *)
                 }


let options =
  {
    blank      = true;
    letter     = false;
    integer    = true;
    dot        = false;
    slash      = false;
    other      = true;
    minint     = false;
    singlerep  = false;
    no_action  = false;
    allow_dirs = false;
    show_all   = false;
    version    = false;
  }

